------------------------------------------------------------------------
r64 | madcatzinc | 2013-05-03 23:24:58 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/Localisation.lua
   M /trunk/OptionPage.xml

Implemented the "Defaults" button for the key bindings options subpage.
------------------------------------------------------------------------
r63 | madcatzinc | 2013-05-03 23:24:53 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

Automatically re-open the Rat page when leaving combat if it was open when entering combat.
------------------------------------------------------------------------
r62 | madcatzinc | 2013-05-03 23:24:48 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/OptionView.lua

Initialize the Cyborg heads as mode 1. Still display the minimap button tooltip until a mode change has been detected.
------------------------------------------------------------------------
r61 | madcatzinc | 2013-05-03 23:24:42 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/Localisation.lua

Removed some whitespace on end of lines.
------------------------------------------------------------------------
r60 | madcatzinc | 2013-05-03 23:24:37 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

Removed unnecessary call to getglobal.
------------------------------------------------------------------------
r59 | madcatzinc | 2013-05-03 23:24:32 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/OptionPage.xml

Moved the key rebinding to a separate option page.
------------------------------------------------------------------------
r58 | madcatzinc | 2013-05-03 23:24:26 +0000 (Fri, 03 May 2013) | 2 lines
Changed paths:
   M /trunk/Localisation.lua
   M /trunk/OptionPage.xml
   M /trunk/OptionView.lua

Removed the "Defaults" button from the option page. It was no longer visible following addition of the prefix anyway.
Plugged the built-in "Defaults" button of the interface options dialog to what the custom button was previously doing.
------------------------------------------------------------------------
r57 | madcatzinc | 2013-05-03 23:24:21 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/Localisation.lua
   M /trunk/OptionPage.xml

Added per-spec bindings. This is optional and must be enabled in the addon settings.
------------------------------------------------------------------------
r56 | madcatzinc | 2013-05-03 23:24:16 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/OpenButtonPage.xml

A right click on the minimap icon will open the options.
------------------------------------------------------------------------
r55 | madcatzinc | 2013-05-03 23:24:11 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/RatPageModel.lua

Removed special code for callbacks (it was not necessary, and will conflict with the upcoming dual-spec support).
------------------------------------------------------------------------
r54 | madcatzinc | 2013-05-03 23:24:04 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/RatPageModel.lua

Clarified the distinction between data (what is actually saved) and the objects (which store the data, but also have methods and other attributes).
------------------------------------------------------------------------
r53 | madcatzinc | 2013-05-03 23:23:58 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/WowObjects.lua

Fixed activation of equipment sets.
------------------------------------------------------------------------
r52 | madcatzinc | 2013-05-03 23:23:53 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/RatPageController.lua

Fixed dropping of equipment sets in the Rat page.
------------------------------------------------------------------------
r51 | madcatzinc | 2013-05-03 19:39:43 +0000 (Fri, 03 May 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

Fixed settings initialization, and added the minimap buttton position to the saved data.
------------------------------------------------------------------------
r50 | madcatzinc | 2013-04-29 17:45:04 +0000 (Mon, 29 Apr 2013) | 1 line
Changed paths:
   M /trunk/MainPage.xml
   M /trunk/OpenButtonPage.xml
   M /trunk/RatPage.xml
   M /trunk/RatQuickPage.xml
   M /trunk/WowObjects.lua

Removed all .tga extensions in texture names. They are not needed, and they won't need to be changed if we switch to blp files.
------------------------------------------------------------------------
r49 | madcatzinc | 2013-04-29 17:44:58 +0000 (Mon, 29 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/OpenButtonPage.xml

Removed a level of frames for the minimap button, and improved some widgets naming a bit.
------------------------------------------------------------------------
r48 | madcatzinc | 2013-04-29 17:44:53 +0000 (Mon, 29 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

Fixed the dragging of the minimap button. It's still not saved.
------------------------------------------------------------------------
r47 | madcatzinc | 2013-04-29 17:44:46 +0000 (Mon, 29 Apr 2013) | 1 line
Changed paths:
   M /trunk/OpenButtonPage.xml

Fixed the Cyborg minimap button to match existing minimap buttons.
------------------------------------------------------------------------
r46 | madcatzinc | 2013-04-29 17:44:40 +0000 (Mon, 29 Apr 2013) | 1 line
Changed paths:
   M /trunk/MainPage.xml
   M /trunk/OpenButtonPage.xml
   M /trunk/OptionPage.xml
   M /trunk/RatPage.xml
   M /trunk/RatQuickPage.xml

Cleaned up whitespace (and other minor details) in all the XML files.
------------------------------------------------------------------------
r45 | madcatzinc | 2013-04-29 17:44:34 +0000 (Mon, 29 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

The PreLoad function should have been local.
------------------------------------------------------------------------
r44 | madcatzinc | 2013-04-29 17:44:28 +0000 (Mon, 29 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/MainPage.xml

Removed CyborgMMO_Event first argument, it was always nil.
------------------------------------------------------------------------
r43 | madcatzinc | 2013-04-25 23:02:39 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/MainPage.xml

Added an asynchronous loading mechanism for item and battle pet data. The wow objects loading is delayed until all the necessary data is available.
------------------------------------------------------------------------
r42 | madcatzinc | 2013-04-25 18:16:03 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/RatPageModel.lua
   M /trunk/WowObjects.lua

Fail early when a wow object cannot be created. Default to empty slots rather than empty wow objects.
------------------------------------------------------------------------
r41 | madcatzinc | 2013-04-25 18:15:57 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/WowObjects.lua

Use a local variable when possible.
------------------------------------------------------------------------
r40 | madcatzinc | 2013-04-25 18:15:52 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

Create the saved data root table when it doesn't exist.
------------------------------------------------------------------------
r39 | madcatzinc | 2013-04-25 18:15:46 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

Properly iterate over all modes and buttons when saving the data.
------------------------------------------------------------------------
r38 | madcatzinc | 2013-04-25 01:31:36 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

Added a conversion function to extract as much information as possible from old profiles.
------------------------------------------------------------------------
r37 | madcatzinc | 2013-04-25 01:31:31 +0000 (Thu, 25 Apr 2013) | 15 lines
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/RatPageController.lua
   M /trunk/RatPageModel.lua
   M /trunk/RatPageView.lua
   M /trunk/WowObjects.lua

Reworked the whole "wow object" system:
- Only save what is strictly necessary.
- Save appropriate persistent information for all objects (like spellIDs instead of spellBook+spellIndex).
- Fixed Battle Pets objects (non-combat pets in pre-MoP).
- Fixed item objects.
- Cleaned and simplified most objects implementation.
- Moved the settings and button profile to the root of the saved data, rather than in a per-character sub-table (that data is already tagged as saved per character).

This should fix most issues with objects changing without user interaction on diverse occasions.

Old profiles are not converted to the new system. This will come soon.

Some issues persist due to the asynchronous loading of some informations:
- Pet icons are never properly loaded from saved data.
- Items are not properly loaded the first time the UI is started (a "/reload ui" or disconnect/connect cycle fixes this problem).
------------------------------------------------------------------------
r36 | madcatzinc | 2013-04-25 01:31:26 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/WowObjects.lua

Removed the "petaction" and "merchant" objects. They are not (no longer?) supported by regular action bars, and so shouldn't be necessary on button bindings.
------------------------------------------------------------------------
r35 | madcatzinc | 2013-04-25 01:31:21 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

GetSaveData and SetSaveData are always called after VARIABLES_LOADED.
------------------------------------------------------------------------
r34 | madcatzinc | 2013-04-25 01:31:16 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

Re-activated the red Cyborg head glow. It was disabled for some reason, and the red head had a purple glow.
------------------------------------------------------------------------
r33 | madcatzinc | 2013-04-25 01:31:11 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CallbackFactory.lua
   M /trunk/CyborgMMO7.lua

Don't preload the macro frame, test for it when necessary.
------------------------------------------------------------------------
r32 | madcatzinc | 2013-04-25 01:31:06 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/Localisation.lua
   M /trunk/OptionView.lua
   M /trunk/RatPageModel.lua

Merged the ProfileKeyBindings and WowCommands variables (they were pointing at the same value).
------------------------------------------------------------------------
r31 | madcatzinc | 2013-04-25 01:31:01 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/OptionView.lua

Removed dead code.
------------------------------------------------------------------------
r30 | madcatzinc | 2013-04-25 01:30:56 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/OptionView.lua

'getglobal' is not necessary when the global name is known beforehand.
------------------------------------------------------------------------
r29 | madcatzinc | 2013-04-25 01:30:51 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/OptionPage.xml
   M /trunk/OptionView.lua

Fixed a function name.
------------------------------------------------------------------------
r28 | madcatzinc | 2013-04-25 01:30:46 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/RatPageController.lua
   M /trunk/RatPageModel.lua
   M /trunk/WowObjects.lua

Simplified the object system of the WowObject-s.
------------------------------------------------------------------------
r27 | madcatzinc | 2013-04-25 01:30:41 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/WowObjects.lua

Properly remove the key binding when emptying a button slot.
------------------------------------------------------------------------
r26 | madcatzinc | 2013-04-25 01:30:36 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CallbackFactory.lua
   M /trunk/CyborgMMO7.lua
   M /trunk/WowObjects.lua

Simplified the CallbackFactory object model.
------------------------------------------------------------------------
r25 | madcatzinc | 2013-04-25 01:30:31 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/OptionView.lua

Simplified CyborgMMO_GetButtonIndex.
------------------------------------------------------------------------
r24 | madcatzinc | 2013-04-25 01:30:26 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

Simplified settings handling, and fixed a few minor bugs related to them.
------------------------------------------------------------------------
r23 | madcatzinc | 2013-04-25 01:30:21 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

Removed the CyborgMMO_ prefix to some local variables, and simplified a few associated ifs.
------------------------------------------------------------------------
r22 | madcatzinc | 2013-04-25 01:30:16 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua

Fixed closing of main window when entering combat.
------------------------------------------------------------------------
r21 | madcatzinc | 2013-04-25 01:30:11 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/OptionView.lua
   M /trunk/RatPageController.lua
   M /trunk/RatPageModel.lua
   M /trunk/RatPageView.lua
   M /trunk/WowObjects.lua

Simplified the Rat page model and controller object models.
------------------------------------------------------------------------
r20 | madcatzinc | 2013-04-25 01:30:05 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/WowObjects.lua

Removed the Load methods in WowObjects, they were never called (and likely broken).
------------------------------------------------------------------------
r19 | madcatzinc | 2013-04-25 01:30:00 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/WowObjects.lua

SetOverrideBindingClick has no return value.
------------------------------------------------------------------------
r18 | madcatzinc | 2013-04-25 01:29:55 +0000 (Thu, 25 Apr 2013) | 4 lines
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/OptionPage.xml
   M /trunk/RatPageController.lua
   M /trunk/RatPageModel.lua
   M /trunk/RatPageView.lua
   M /trunk/WowObjects.lua

Replaced the global msg function with CyborgMMO_DPrint:
- avoids conflicts with other addons ('msg' is too generic)
- has 'print' semantics (several values accepted, calls tostring)
- use AddMessage with a colored prefix, instead of plain SendChatMessage
------------------------------------------------------------------------
r17 | madcatzinc | 2013-04-25 01:29:50 +0000 (Thu, 25 Apr 2013) | 1 line
Changed paths:
   M /trunk/RatPageModel.lua
   M /trunk/WowObjects.lua

Added some missing local variable declarations, and other unwanted global accesses.
------------------------------------------------------------------------
r16 | madcatzinc | 2013-04-25 01:29:45 +0000 (Thu, 25 Apr 2013) | 14 lines
Changed paths:
   M /trunk/CallbackFactory.lua
   M /trunk/CyborgMMO7.lua
   M /trunk/MainPage.xml
   M /trunk/OpenButtonPage.xml
   M /trunk/OptionPage.xml
   M /trunk/OptionView.lua
   M /trunk/RatPage.xml
   M /trunk/RatPageController.lua
   M /trunk/RatPageModel.lua
   M /trunk/RatPageView.lua
   M /trunk/RatQuickPage.xml
   M /trunk/WowObjects.lua

Miscellanous Lua code consistency improvements:
- no semicolon except between statements on same line
- use of implicit cast to bool in if/while conditions, instead of various eq/neq against true, false or nil
- no parenthesis around if/while conditions (C-ism)
- avoid long function calls in if conditions
- removed space in comma-separated expressions lists in multiple assignments
- added spaces between arguments of functions calls
- use tabs for indentation (in Lua files only)
- don't reverse == in if conditions, like "if 42==foo then" (C-ism)
- removed some extra parenthesis in complex expressions (C-ism)
- added spaces around operators in most expressions for ease of reading
- added comma after last element of table initializers
- removed space after # operator
- moved comment prefix of disabled code into tab (to keep disabled code aligned)
------------------------------------------------------------------------
r14 | madcatzinc | 2013-04-16 15:19:23 +0000 (Tue, 16 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.toc

Replaced the version tag with a keyword that will be substituted by the CurseForge packager.
------------------------------------------------------------------------
r13 | madcatzinc | 2013-04-12 22:39:32 +0000 (Fri, 12 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.toc

Updated the supported Interface version.
------------------------------------------------------------------------
r12 | madcatzinc | 2013-04-12 22:39:26 +0000 (Fri, 12 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.toc

Removed X-Curse-* tags, they are added by the packager and should be tracked.
------------------------------------------------------------------------
r11 | madcatzinc | 2013-04-12 22:39:20 +0000 (Fri, 12 Apr 2013) | 1 line
Changed paths:
   M /trunk/CyborgMMO7.lua
   M /trunk/Localisation.lua

Fall back to english texts when translations are missing.
------------------------------------------------------------------------
r10 | madcatzinc | 2013-04-12 22:39:15 +0000 (Fri, 12 Apr 2013) | 1 line
Changed paths:
   M /trunk/Localisation.lua

Added a few missing commas.
------------------------------------------------------------------------
r9 | madcatzinc | 2013-04-12 20:34:10 +0000 (Fri, 12 Apr 2013) | 1 line
Changed paths:
   M /trunk/Localisation.lua

Fixed localization file encoding, and restored broken translations (chinese was lost in latin1).
------------------------------------------------------------------------
r8 | madcatzinc | 2012-06-12 12:56:57 +0000 (Tue, 12 Jun 2012) | 1 line
Changed paths:
   M /trunk
   M /trunk/CyborgMMO7.lua
   M /trunk/Localisation.lua

Found a bug in the Combat binding lock down code, which was caused by the renames. Also renamed some of the locale strings in Localisation.lua
------------------------------------------------------------------------
